osgUI::FrameSettings Class Reference

`#include <FrameSettings>`

Inheritance diagram for osgUI::FrameSettings:

## Public Types

enum | Shape { NO_FRAME , BOX , PANEL }
enum | Shadow { PLAIN , SUNKEN , RAISED }
Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }

## Public Member Functions

| FrameSettings ()
| FrameSettings (const FrameSettings &frameSettings, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgUI, FrameSettings)
void | setShape (Shape shape)
Shape | getShape () const
void | setShadow (Shadow shadow)
Shadow | getShadow () const
void | setLineWidth (float width)
float | getLineWidth () const
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const =0
virtual Object * | clone (const CopyOp &) const =0
virtual bool | isSameKindAs (const Object *) const
virtual const char * | libraryName () const =0
virtual const char * | className () const =0
std::string | getCompoundClassName () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
virtual void | resizeGLObjectBuffers (unsigned int)
virtual void | releaseGLObjects (osg::State *=0) const
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

virtual | ~FrameSettings ()
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Protected Attributes

Shape | _shape
Shadow | _shadow
float | _lineWidth
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()

## Member Enumeration Documentation

## Shadow

enum osgUI::FrameSettings::Shadow

Enumerator
PLAIN |
SUNKEN |
RAISED |

## Shape

enum osgUI::FrameSettings::Shape

Enumerator
NO_FRAME |
BOX |
PANEL |

## Constructor & Destructor Documentation

## FrameSettings() [1/2]

osgUI::FrameSettings::FrameSettings | ( |  | ) |

Referenced by FrameSettings(), and META_Object().

## FrameSettings() [2/2]

osgUI::FrameSettings::FrameSettings | ( | const FrameSettings & | frameSettings,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY )

References FrameSettings(), and osg::CopyOp::SHALLOW_COPY.

## ~FrameSettings()

virtual osgUI::FrameSettings::~FrameSettings | ( |  | ) |

inline protected virtual

## Member Function Documentation

## getLineWidth()

float osgUI::FrameSettings::getLineWidth | ( |  | ) | const

inline

References _lineWidth.

## getShadow()

Shadow osgUI::FrameSettings::getShadow | ( |  | ) | const

inline

References _shadow.

## getShape()

Shape osgUI::FrameSettings::getShape | ( |  | ) | const

inline

References _shape.

## META_Object()

osgUI::FrameSettings::META_Object | ( | osgUI | ,
|  | FrameSettings | )

References FrameSettings().

## setLineWidth()

void osgUI::FrameSettings::setLineWidth | ( | float | width | ) |

inline

References _lineWidth.

## setShadow()

void osgUI::FrameSettings::setShadow | ( | Shadow | shadow | ) |

inline

References _shadow.

## setShape()

void osgUI::FrameSettings::setShape | ( | Shape | shape | ) |

inline

References _shape.

## Member Data Documentation

## _lineWidth

float osgUI::FrameSettings::_lineWidth

protected

Referenced by getLineWidth(), and setLineWidth().

## _shadow

Shadow osgUI::FrameSettings::_shadow

protected

Referenced by getShadow(), and setShadow().

## _shape

Shape osgUI::FrameSettings::_shape

protected

Referenced by getShape(), and setShape().

The documentation for this class was generated from the following file:

- FrameSettings